Changeset 3061


Ignore:
Timestamp:
Nov 9, 2013 12:10:48 PM (6 years ago)
Author:
stefan
Message:

sync with trunk; rerun autotools

Location:
ThirdParty
Files:
16 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/ASL/stable/1.2

  • ThirdParty/ASL/stable/1.2/configure

    r3049 r3061  
    27832783    fi ;;
    27842784  * )
    2785     CYGPATH_W=echo
     2785    if test x"$CYGPATH_W" = x ; then
     2786      CYGPATH_W=echo
     2787    fi
    27862788    ;;
    27872789esac
     
    48114813*-*-irix6*)
    48124814  # Find out which ABI we are using.
    4813   echo '#line 4813 "configure"' > conftest.$ac_ext
     4815  echo '#line 4815 "configure"' > conftest.$ac_ext
    48144816  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    48154817  (eval $ac_compile) 2>&5
     
    64106412
    64116413# Provide some information about the compiler.
    6412 echo "$as_me:6412:" \
     6414echo "$as_me:6414:" \
    64136415     "checking for Fortran 77 compiler version" >&5
    64146416ac_compiler=`set X $ac_compile; echo $2`
     
    74777479   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    74787480   -e 's:$: $lt_compiler_flag:'`
    7479    (eval echo "\"\$as_me:7479: $lt_compile\"" >&5)
     7481   (eval echo "\"\$as_me:7481: $lt_compile\"" >&5)
    74807482   (eval "$lt_compile" 2>conftest.err)
    74817483   ac_status=$?
    74827484   cat conftest.err >&5
    7483    echo "$as_me:7483: \$? = $ac_status" >&5
     7485   echo "$as_me:7485: \$? = $ac_status" >&5
    74847486   if (exit $ac_status) && test -s "$ac_outfile"; then
    74857487     # The compiler can only warn and ignore the option if not recognized
     
    77457747   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    77467748   -e 's:$: $lt_compiler_flag:'`
    7747    (eval echo "\"\$as_me:7747: $lt_compile\"" >&5)
     7749   (eval echo "\"\$as_me:7749: $lt_compile\"" >&5)
    77487750   (eval "$lt_compile" 2>conftest.err)
    77497751   ac_status=$?
    77507752   cat conftest.err >&5
    7751    echo "$as_me:7751: \$? = $ac_status" >&5
     7753   echo "$as_me:7753: \$? = $ac_status" >&5
    77527754   if (exit $ac_status) && test -s "$ac_outfile"; then
    77537755     # The compiler can only warn and ignore the option if not recognized
     
    78497851   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    78507852   -e 's:$: $lt_compiler_flag:'`
    7851    (eval echo "\"\$as_me:7851: $lt_compile\"" >&5)
     7853   (eval echo "\"\$as_me:7853: $lt_compile\"" >&5)
    78527854   (eval "$lt_compile" 2>out/conftest.err)
    78537855   ac_status=$?
    78547856   cat out/conftest.err >&5
    7855    echo "$as_me:7855: \$? = $ac_status" >&5
     7857   echo "$as_me:7857: \$? = $ac_status" >&5
    78567858   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    78577859   then
     
    1019410196  lt_status=$lt_dlunknown
    1019510197  cat > conftest.$ac_ext <<EOF
    10196 #line 10196 "configure"
     10198#line 10198 "configure"
    1019710199#include "confdefs.h"
    1019810200
     
    1029410296  lt_status=$lt_dlunknown
    1029510297  cat > conftest.$ac_ext <<EOF
    10296 #line 10296 "configure"
     10298#line 10298 "configure"
    1029710299#include "confdefs.h"
    1029810300
     
    1263812640   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1263912641   -e 's:$: $lt_compiler_flag:'`
    12640    (eval echo "\"\$as_me:12640: $lt_compile\"" >&5)
     12642   (eval echo "\"\$as_me:12642: $lt_compile\"" >&5)
    1264112643   (eval "$lt_compile" 2>conftest.err)
    1264212644   ac_status=$?
    1264312645   cat conftest.err >&5
    12644    echo "$as_me:12644: \$? = $ac_status" >&5
     12646   echo "$as_me:12646: \$? = $ac_status" >&5
    1264512647   if (exit $ac_status) && test -s "$ac_outfile"; then
    1264612648     # The compiler can only warn and ignore the option if not recognized
     
    1274212744   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1274312745   -e 's:$: $lt_compiler_flag:'`
    12744    (eval echo "\"\$as_me:12744: $lt_compile\"" >&5)
     12746   (eval echo "\"\$as_me:12746: $lt_compile\"" >&5)
    1274512747   (eval "$lt_compile" 2>out/conftest.err)
    1274612748   ac_status=$?
    1274712749   cat out/conftest.err >&5
    12748    echo "$as_me:12748: \$? = $ac_status" >&5
     12750   echo "$as_me:12750: \$? = $ac_status" >&5
    1274912751   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1275012752   then
     
    1431214314   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1431314315   -e 's:$: $lt_compiler_flag:'`
    14314    (eval echo "\"\$as_me:14314: $lt_compile\"" >&5)
     14316   (eval echo "\"\$as_me:14316: $lt_compile\"" >&5)
    1431514317   (eval "$lt_compile" 2>conftest.err)
    1431614318   ac_status=$?
    1431714319   cat conftest.err >&5
    14318    echo "$as_me:14318: \$? = $ac_status" >&5
     14320   echo "$as_me:14320: \$? = $ac_status" >&5
    1431914321   if (exit $ac_status) && test -s "$ac_outfile"; then
    1432014322     # The compiler can only warn and ignore the option if not recognized
     
    1441614418   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1441714419   -e 's:$: $lt_compiler_flag:'`
    14418    (eval echo "\"\$as_me:14418: $lt_compile\"" >&5)
     14420   (eval echo "\"\$as_me:14420: $lt_compile\"" >&5)
    1441914421   (eval "$lt_compile" 2>out/conftest.err)
    1442014422   ac_status=$?
    1442114423   cat out/conftest.err >&5
    14422    echo "$as_me:14422: \$? = $ac_status" >&5
     14424   echo "$as_me:14424: \$? = $ac_status" >&5
    1442314425   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1442414426   then
     
    1662316625   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1662416626   -e 's:$: $lt_compiler_flag:'`
    16625    (eval echo "\"\$as_me:16625: $lt_compile\"" >&5)
     16627   (eval echo "\"\$as_me:16627: $lt_compile\"" >&5)
    1662616628   (eval "$lt_compile" 2>conftest.err)
    1662716629   ac_status=$?
    1662816630   cat conftest.err >&5
    16629    echo "$as_me:16629: \$? = $ac_status" >&5
     16631   echo "$as_me:16631: \$? = $ac_status" >&5
    1663016632   if (exit $ac_status) && test -s "$ac_outfile"; then
    1663116633     # The compiler can only warn and ignore the option if not recognized
     
    1689116893   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1689216894   -e 's:$: $lt_compiler_flag:'`
    16893    (eval echo "\"\$as_me:16893: $lt_compile\"" >&5)
     16895   (eval echo "\"\$as_me:16895: $lt_compile\"" >&5)
    1689416896   (eval "$lt_compile" 2>conftest.err)
    1689516897   ac_status=$?
    1689616898   cat conftest.err >&5
    16897    echo "$as_me:16897: \$? = $ac_status" >&5
     16899   echo "$as_me:16899: \$? = $ac_status" >&5
    1689816900   if (exit $ac_status) && test -s "$ac_outfile"; then
    1689916901     # The compiler can only warn and ignore the option if not recognized
     
    1699516997   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1699616998   -e 's:$: $lt_compiler_flag:'`
    16997    (eval echo "\"\$as_me:16997: $lt_compile\"" >&5)
     16999   (eval echo "\"\$as_me:16999: $lt_compile\"" >&5)
    1699817000   (eval "$lt_compile" 2>out/conftest.err)
    1699917001   ac_status=$?
    1700017002   cat out/conftest.err >&5
    17001    echo "$as_me:17001: \$? = $ac_status" >&5
     17003   echo "$as_me:17003: \$? = $ac_status" >&5
    1700217004   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1700317005   then
     
    1969419696    # Here we need to check if -m32 is specified.  If so, we need to correct
    1969519697    # sys_lib_search_path_spec
     19698    *-cygwin* | *-mingw*)
     19699       case "$CXX" in
     19700    clang* )
     19701      # we assume that libtool patches for CLANG are the same as for GNU compiler - correct???
     19702      { echo "$as_me:$LINENO: Applying patches to libtool for CLANG compiler" >&5
     19703echo "$as_me: Applying patches to libtool for CLANG compiler" >&6;}
     19704      sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     19705          -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
     19706          -e 's|libext="lib"|libext="a"|' \
     19707      libtool > conftest.bla
     19708      ;;
     19709    cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
     19710      { echo "$as_me:$LINENO: Applying patches to libtool for cl compiler" >&5
     19711echo "$as_me: Applying patches to libtool for cl compiler" >&6;}
     19712      sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     19713          -e 's|fix_srcfile_path=\"\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     19714          -e 's%compile_deplibs=\"\$dir/\$old_library \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$old_library | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
     19715          -e 's%compile_deplibs=\"\$dir/\$linklib \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$linklib | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
     19716          -e 's%lib /OUT:%lib -OUT:%' \
     19717          -e "s%cygpath -w%$CYGPATH_W%" \
     19718          -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\$(lib -nologo -list \\$('"$CYGPATH_W \$1"') '"$mydos2unix"' | xargs echo); echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$('"$CYGPATH_W \$1"'); done%' \
     19719          -e 's%$AR t "$f_ex_an_ar_oldlib"%lib -nologo -list \$('"$CYGPATH_W \$1"') '"$mydos2unix"'%' \
     19720          -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
     19721          -e 's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
     19722          -e 's%old_archive_cmds="lib -OUT:\\$oldlib\\$oldobjs\\$old_deplibs"%old_archive_cmds="if test -r \\$oldlib; then bla=\\"\\$oldlib\\"; else bla=; fi; lib -OUT:\\$oldlib \\\\\\$bla\\$oldobjs\\$old_deplibs"%' \
     19723      libtool > conftest.bla
     19724      ;;
     19725    *)
     19726      { echo "$as_me:$LINENO: Applying patches to libtool for GNU compiler" >&5
     19727echo "$as_me: Applying patches to libtool for GNU compiler" >&6;}
     19728      sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     19729          -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
     19730          -e 's|libext="lib"|libext="a"|' \
     19731      libtool > conftest.bla
     19732      ;;
     19733  esac
     19734  mv conftest.bla libtool
     19735  chmod 755 libtool
     19736
     19737      ;;
    1969619738    *x86_64-*)
    1969719739      if test "$GCC" = yes && (echo $CXXFLAGS $CFLAGS $FFLAGS | $EGREP 'm32' >& /dev/null); then
     
    1973319775      ;;
    1973419776    # Cygwin. Ah, cygwin. Too big and ugly to inline; see the macro.
    19735     *-cygwin* | *-mingw*)
    19736        case "$CXX" in
    19737     clang* )
    19738       # we assume that libtool patches for CLANG are the same as for GNU compiler - correct???
    19739       { echo "$as_me:$LINENO: Applying patches to libtool for CLANG compiler" >&5
    19740 echo "$as_me: Applying patches to libtool for CLANG compiler" >&6;}
    19741       sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    19742           -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
    19743           -e 's|libext="lib"|libext="a"|' \
    19744       libtool > conftest.bla
    19745       ;;
    19746     cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    19747       { echo "$as_me:$LINENO: Applying patches to libtool for cl compiler" >&5
    19748 echo "$as_me: Applying patches to libtool for cl compiler" >&6;}
    19749       sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    19750           -e 's|fix_srcfile_path=\"\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    19751           -e 's%compile_deplibs=\"\$dir/\$old_library \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$old_library | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
    19752           -e 's%compile_deplibs=\"\$dir/\$linklib \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$linklib | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
    19753           -e 's%lib /OUT:%lib -OUT:%' \
    19754           -e "s%cygpath -w%$CYGPATH_W%" \
    19755           -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\$(lib -nologo -list \\$('"$CYGPATH_W \$1"') '"$mydos2unix"' | xargs echo); echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$('"$CYGPATH_W \$1"'); done%' \
    19756           -e 's%$AR t "$f_ex_an_ar_oldlib"%lib -nologo -list \$('"$CYGPATH_W \$1"') '"$mydos2unix"'%' \
    19757           -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
    19758           -e 's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
    19759           -e 's%old_archive_cmds="lib -OUT:\\$oldlib\\$oldobjs\\$old_deplibs"%old_archive_cmds="if test -r \\$oldlib; then bla=\\"\\$oldlib\\"; else bla=; fi; lib -OUT:\\$oldlib \\\\\\$bla\\$oldobjs\\$old_deplibs"%' \
    19760       libtool > conftest.bla
    19761       ;;
    19762     *)
    19763       { echo "$as_me:$LINENO: Applying patches to libtool for GNU compiler" >&5
    19764 echo "$as_me: Applying patches to libtool for GNU compiler" >&6;}
    19765       sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    19766           -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
    19767           -e 's|libext="lib"|libext="a"|' \
    19768       libtool > conftest.bla
    19769       ;;
    19770   esac
    19771   mv conftest.bla libtool
    19772   chmod 755 libtool
    19773 
    19774       ;;
    1977519777    *-darwin*)
    1977619778      { echo "$as_me:$LINENO: Applying patches to libtool for Darwin" >&5
  • ThirdParty/ASL/stable/1.2/get.ASL

    r3049 r3061  
    1818fi
    1919
    20 coinasl=solvers-20130815.tar
     20coinasl=solvers-20130815.tgz
    2121
    2222echo " "
     
    2424echo " "
    2525
    26 rm -f solvers.tar
     26rm -f solvers.tgz
    2727
    2828echo "Downloading the source code from projects.coin-or.org..."
    29 if $wgetcmd https://projects.coin-or.org/svn/BuildTools/ThirdParty/ASL/src/$coinasl ;
     29if $wgetcmd http://www.coin-or.org/BuildTools/ASL/$coinasl ;
    3030then
    31   mv $coinasl solvers.tar
     31  mv $coinasl solvers.tgz
    3232else
    3333  echo
    34   tryamplcom=1
    35   if test "$wgetcmd" = wget ;
    36   then
    37     # the ASL tarball on ampl.com is changing over time, so we give the coin-or server another chance first
    38     echo -n "Failed, try downloading from https://projects.coin-or.org without certificate check? (y/n) "
    39     if test "$1" = "-y" ;
    40     then
    41       doit=y
    42       echo y
    43     else
    44       read doit
    45       echo
    46     fi
    47     if test "$doit" = y ;
    48     then
    49       if $wgetcmd --no-check-certificate https://projects.coin-or.org/svn/BuildTools/ThirdParty/ASL/src/$coinasl ;
    50       then
    51         mv $coinasl solvers.tar
    52         tryamplcom=0
    53       fi
    54     fi
    55   fi
    56   if test $tryamplcom = 1 ;
    57   then
    58     echo
    59     echo "Failed, try downloading the source code from www.ampl.com..."
    60     $wgetcmd http://www.ampl.com/netlib/ampl/solvers.tgz ;
    61     gunzip solvers.tgz
    62   fi
     34  echo "Failed, try downloading the source code from www.ampl.com..."
     35  $wgetcmd http://www.ampl.com/netlib/ampl/solvers.tgz
    6336fi
    6437
     
    6639
    6740echo "Unpacking the source code..."
     41gunzip -f solvers.tgz
    6842tar xf solvers.tar
    6943
  • ThirdParty/Blas/stable/1.3

  • ThirdParty/Blas/stable/1.3/configure

    r3017 r3061  
    27672767    fi ;;
    27682768  * )
    2769     CYGPATH_W=echo
     2769    if test x"$CYGPATH_W" = x ; then
     2770      CYGPATH_W=echo
     2771    fi
    27702772    ;;
    27712773esac
     
    33973399
    33983400# Provide some information about the compiler.
    3399 echo "$as_me:3399:" \
     3401echo "$as_me:3401:" \
    34003402     "checking for Fortran 77 compiler version" >&5
    34013403ac_compiler=`set X $ac_compile; echo $2`
     
    39203922ac_save_FFLAGS=$FFLAGS
    39213923FFLAGS="$FFLAGS $ac_verb"
    3922 (eval echo $as_me:3922: \"$ac_link\") >&5
     3924(eval echo $as_me:3924: \"$ac_link\") >&5
    39233925ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    39243926echo "$ac_f77_v_output" >&5
     
    39984000ac_save_FFLAGS=$FFLAGS
    39994001FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4000 (eval echo $as_me:4000: \"$ac_link\") >&5
     4002(eval echo $as_me:4002: \"$ac_link\") >&5
    40014003ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    40024004echo "$ac_f77_v_output" >&5
     
    66096611*-*-irix6*)
    66106612  # Find out which ABI we are using.
    6611   echo '#line 6611 "configure"' > conftest.$ac_ext
     6613  echo '#line 6613 "configure"' > conftest.$ac_ext
    66126614  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    66136615  (eval $ac_compile) 2>&5
     
    90869088   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    90879089   -e 's:$: $lt_compiler_flag:'`
    9088    (eval echo "\"\$as_me:9088: $lt_compile\"" >&5)
     9090   (eval echo "\"\$as_me:9090: $lt_compile\"" >&5)
    90899091   (eval "$lt_compile" 2>conftest.err)
    90909092   ac_status=$?
    90919093   cat conftest.err >&5
    9092    echo "$as_me:9092: \$? = $ac_status" >&5
     9094   echo "$as_me:9094: \$? = $ac_status" >&5
    90939095   if (exit $ac_status) && test -s "$ac_outfile"; then
    90949096     # The compiler can only warn and ignore the option if not recognized
     
    93549356   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    93559357   -e 's:$: $lt_compiler_flag:'`
    9356    (eval echo "\"\$as_me:9356: $lt_compile\"" >&5)
     9358   (eval echo "\"\$as_me:9358: $lt_compile\"" >&5)
    93579359   (eval "$lt_compile" 2>conftest.err)
    93589360   ac_status=$?
    93599361   cat conftest.err >&5
    9360    echo "$as_me:9360: \$? = $ac_status" >&5
     9362   echo "$as_me:9362: \$? = $ac_status" >&5
    93619363   if (exit $ac_status) && test -s "$ac_outfile"; then
    93629364     # The compiler can only warn and ignore the option if not recognized
     
    94589460   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    94599461   -e 's:$: $lt_compiler_flag:'`
    9460    (eval echo "\"\$as_me:9460: $lt_compile\"" >&5)
     9462   (eval echo "\"\$as_me:9462: $lt_compile\"" >&5)
    94619463   (eval "$lt_compile" 2>out/conftest.err)
    94629464   ac_status=$?
    94639465   cat out/conftest.err >&5
    9464    echo "$as_me:9464: \$? = $ac_status" >&5
     9466   echo "$as_me:9466: \$? = $ac_status" >&5
    94659467   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    94669468   then
     
    1187511877  lt_status=$lt_dlunknown
    1187611878  cat > conftest.$ac_ext <<EOF
    11877 #line 11877 "configure"
     11879#line 11879 "configure"
    1187811880#include "confdefs.h"
    1187911881
     
    1197511977  lt_status=$lt_dlunknown
    1197611978  cat > conftest.$ac_ext <<EOF
    11977 #line 11977 "configure"
     11979#line 11979 "configure"
    1197811980#include "confdefs.h"
    1197911981
     
    1433514337   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1433614338   -e 's:$: $lt_compiler_flag:'`
    14337    (eval echo "\"\$as_me:14337: $lt_compile\"" >&5)
     14339   (eval echo "\"\$as_me:14339: $lt_compile\"" >&5)
    1433814340   (eval "$lt_compile" 2>conftest.err)
    1433914341   ac_status=$?
    1434014342   cat conftest.err >&5
    14341    echo "$as_me:14341: \$? = $ac_status" >&5
     14343   echo "$as_me:14343: \$? = $ac_status" >&5
    1434214344   if (exit $ac_status) && test -s "$ac_outfile"; then
    1434314345     # The compiler can only warn and ignore the option if not recognized
     
    1443914441   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1444014442   -e 's:$: $lt_compiler_flag:'`
    14441    (eval echo "\"\$as_me:14441: $lt_compile\"" >&5)
     14443   (eval echo "\"\$as_me:14443: $lt_compile\"" >&5)
    1444214444   (eval "$lt_compile" 2>out/conftest.err)
    1444314445   ac_status=$?
    1444414446   cat out/conftest.err >&5
    14445    echo "$as_me:14445: \$? = $ac_status" >&5
     14447   echo "$as_me:14447: \$? = $ac_status" >&5
    1444614448   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1444714449   then
     
    1600916011   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1601016012   -e 's:$: $lt_compiler_flag:'`
    16011    (eval echo "\"\$as_me:16011: $lt_compile\"" >&5)
     16013   (eval echo "\"\$as_me:16013: $lt_compile\"" >&5)
    1601216014   (eval "$lt_compile" 2>conftest.err)
    1601316015   ac_status=$?
    1601416016   cat conftest.err >&5
    16015    echo "$as_me:16015: \$? = $ac_status" >&5
     16017   echo "$as_me:16017: \$? = $ac_status" >&5
    1601616018   if (exit $ac_status) && test -s "$ac_outfile"; then
    1601716019     # The compiler can only warn and ignore the option if not recognized
     
    1611316115   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1611416116   -e 's:$: $lt_compiler_flag:'`
    16115    (eval echo "\"\$as_me:16115: $lt_compile\"" >&5)
     16117   (eval echo "\"\$as_me:16117: $lt_compile\"" >&5)
    1611616118   (eval "$lt_compile" 2>out/conftest.err)
    1611716119   ac_status=$?
    1611816120   cat out/conftest.err >&5
    16119    echo "$as_me:16119: \$? = $ac_status" >&5
     16121   echo "$as_me:16121: \$? = $ac_status" >&5
    1612016122   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1612116123   then
     
    1832018322   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1832118323   -e 's:$: $lt_compiler_flag:'`
    18322    (eval echo "\"\$as_me:18322: $lt_compile\"" >&5)
     18324   (eval echo "\"\$as_me:18324: $lt_compile\"" >&5)
    1832318325   (eval "$lt_compile" 2>conftest.err)
    1832418326   ac_status=$?
    1832518327   cat conftest.err >&5
    18326    echo "$as_me:18326: \$? = $ac_status" >&5
     18328   echo "$as_me:18328: \$? = $ac_status" >&5
    1832718329   if (exit $ac_status) && test -s "$ac_outfile"; then
    1832818330     # The compiler can only warn and ignore the option if not recognized
     
    1858818590   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1858918591   -e 's:$: $lt_compiler_flag:'`
    18590    (eval echo "\"\$as_me:18590: $lt_compile\"" >&5)
     18592   (eval echo "\"\$as_me:18592: $lt_compile\"" >&5)
    1859118593   (eval "$lt_compile" 2>conftest.err)
    1859218594   ac_status=$?
    1859318595   cat conftest.err >&5
    18594    echo "$as_me:18594: \$? = $ac_status" >&5
     18596   echo "$as_me:18596: \$? = $ac_status" >&5
    1859518597   if (exit $ac_status) && test -s "$ac_outfile"; then
    1859618598     # The compiler can only warn and ignore the option if not recognized
     
    1869218694   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1869318695   -e 's:$: $lt_compiler_flag:'`
    18694    (eval echo "\"\$as_me:18694: $lt_compile\"" >&5)
     18696   (eval echo "\"\$as_me:18696: $lt_compile\"" >&5)
    1869518697   (eval "$lt_compile" 2>out/conftest.err)
    1869618698   ac_status=$?
    1869718699   cat out/conftest.err >&5
    18698    echo "$as_me:18698: \$? = $ac_status" >&5
     18700   echo "$as_me:18700: \$? = $ac_status" >&5
    1869918701   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1870018702   then
     
    2140721409    # Here we need to check if -m32 is specified.  If so, we need to correct
    2140821410    # sys_lib_search_path_spec
     21411    *-cygwin* | *-mingw*)
     21412       case "$CXX" in
     21413    clang* )
     21414      # we assume that libtool patches for CLANG are the same as for GNU compiler - correct???
     21415      { echo "$as_me:$LINENO: Applying patches to libtool for CLANG compiler" >&5
     21416echo "$as_me: Applying patches to libtool for CLANG compiler" >&6;}
     21417      sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     21418          -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
     21419          -e 's|libext="lib"|libext="a"|' \
     21420      libtool > conftest.bla
     21421      ;;
     21422    cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
     21423      { echo "$as_me:$LINENO: Applying patches to libtool for cl compiler" >&5
     21424echo "$as_me: Applying patches to libtool for cl compiler" >&6;}
     21425      sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     21426          -e 's|fix_srcfile_path=\"\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     21427          -e 's%compile_deplibs=\"\$dir/\$old_library \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$old_library | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
     21428          -e 's%compile_deplibs=\"\$dir/\$linklib \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$linklib | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
     21429          -e 's%lib /OUT:%lib -OUT:%' \
     21430          -e "s%cygpath -w%$CYGPATH_W%" \
     21431          -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\$(lib -nologo -list \\$('"$CYGPATH_W \$1"') '"$mydos2unix"' | xargs echo); echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$('"$CYGPATH_W \$1"'); done%' \
     21432          -e 's%$AR t "$f_ex_an_ar_oldlib"%lib -nologo -list \$('"$CYGPATH_W \$1"') '"$mydos2unix"'%' \
     21433          -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
     21434          -e 's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
     21435          -e 's%old_archive_cmds="lib -OUT:\\$oldlib\\$oldobjs\\$old_deplibs"%old_archive_cmds="if test -r \\$oldlib; then bla=\\"\\$oldlib\\"; else bla=; fi; lib -OUT:\\$oldlib \\\\\\$bla\\$oldobjs\\$old_deplibs"%' \
     21436      libtool > conftest.bla
     21437      ;;
     21438    *)
     21439      { echo "$as_me:$LINENO: Applying patches to libtool for GNU compiler" >&5
     21440echo "$as_me: Applying patches to libtool for GNU compiler" >&6;}
     21441      sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     21442          -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
     21443          -e 's|libext="lib"|libext="a"|' \
     21444      libtool > conftest.bla
     21445      ;;
     21446  esac
     21447  mv conftest.bla libtool
     21448  chmod 755 libtool
     21449
     21450      ;;
    2140921451    *x86_64-*)
    2141021452      if test "$GCC" = yes && (echo $CXXFLAGS $CFLAGS $FFLAGS | $EGREP 'm32' >& /dev/null); then
     
    2144621488      ;;
    2144721489    # Cygwin. Ah, cygwin. Too big and ugly to inline; see the macro.
    21448     *-cygwin* | *-mingw*)
    21449        case "$CXX" in
    21450     clang* )
    21451       # we assume that libtool patches for CLANG are the same as for GNU compiler - correct???
    21452       { echo "$as_me:$LINENO: Applying patches to libtool for CLANG compiler" >&5
    21453 echo "$as_me: Applying patches to libtool for CLANG compiler" >&6;}
    21454       sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    21455           -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
    21456           -e 's|libext="lib"|libext="a"|' \
    21457       libtool > conftest.bla
    21458       ;;
    21459     cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    21460       { echo "$as_me:$LINENO: Applying patches to libtool for cl compiler" >&5
    21461 echo "$as_me: Applying patches to libtool for cl compiler" >&6;}
    21462       sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    21463           -e 's|fix_srcfile_path=\"\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    21464           -e 's%compile_deplibs=\"\$dir/\$old_library \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$old_library | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
    21465           -e 's%compile_deplibs=\"\$dir/\$linklib \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$linklib | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
    21466           -e 's%lib /OUT:%lib -OUT:%' \
    21467           -e "s%cygpath -w%$CYGPATH_W%" \
    21468           -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\$(lib -nologo -list \\$('"$CYGPATH_W \$1"') '"$mydos2unix"' | xargs echo); echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$('"$CYGPATH_W \$1"'); done%' \
    21469           -e 's%$AR t "$f_ex_an_ar_oldlib"%lib -nologo -list \$('"$CYGPATH_W \$1"') '"$mydos2unix"'%' \
    21470           -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
    21471           -e 's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
    21472           -e 's%old_archive_cmds="lib -OUT:\\$oldlib\\$oldobjs\\$old_deplibs"%old_archive_cmds="if test -r \\$oldlib; then bla=\\"\\$oldlib\\"; else bla=; fi; lib -OUT:\\$oldlib \\\\\\$bla\\$oldobjs\\$old_deplibs"%' \
    21473       libtool > conftest.bla
    21474       ;;
    21475     *)
    21476       { echo "$as_me:$LINENO: Applying patches to libtool for GNU compiler" >&5
    21477 echo "$as_me: Applying patches to libtool for GNU compiler" >&6;}
    21478       sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    21479           -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
    21480           -e 's|libext="lib"|libext="a"|' \
    21481       libtool > conftest.bla
    21482       ;;
    21483   esac
    21484   mv conftest.bla libtool
    21485   chmod 755 libtool
    21486 
    21487       ;;
    2148821490    *-darwin*)
    2148921491      { echo "$as_me:$LINENO: Applying patches to libtool for Darwin" >&5
  • ThirdParty/Blas/stable/1.3/get.Blas

    r2948 r3061  
    2727
    2828echo "Downloading the source code from projects.coin-or.org..."
    29 if $wgetcmd https://projects.coin-or.org/svn/BuildTools/ThirdParty/Blas/src/$coinblas ;
     29if $wgetcmd http://www.coin-or.org/BuildTools/Blas/$coinblas ;
    3030then
    3131  mv $coinblas blas.tgz
     
    3939    if ! $wgetcmd http://netlib.sandia.gov/blas/blas.tgz ;
    4040    then
    41       if test "$wgetcmd" = wget ;
    42       then
    43         echo -n "Failed, try downloading from https://projects.coin-or.org without certificate check? (y/n) "
    44         if test "$1" = "-y" ;
    45         then
    46           doit=y
    47           echo y
    48         else
    49           read doit
    50           echo
    51         fi
    52         if test "$doit" = y ;
    53         then
    54           $wgetcmd --no-check-certificate https://projects.coin-or.org/svn/BuildTools/ThirdParty/Blas/src/$coinblas
    55           mv $coinblas blas.tgz
    56         else
    57           exit 1;
    58         fi
    59       else
    60         exit 1;
    61       fi
     41      exit 1;
    6242    fi
    6343  fi
  • ThirdParty/Glpk/stable/1.9

  • ThirdParty/Glpk/stable/1.9/configure

    r3034 r3061  
    27502750    fi ;;
    27512751  * )
    2752     CYGPATH_W=echo
     2752    if test x"$CYGPATH_W" = x ; then
     2753      CYGPATH_W=echo
     2754    fi
    27532755    ;;
    27542756esac
     
    50025004*-*-irix6*)
    50035005  # Find out which ABI we are using.
    5004   echo '#line 5004 "configure"' > conftest.$ac_ext
     5006  echo '#line 5006 "configure"' > conftest.$ac_ext
    50055007  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    50065008  (eval $ac_compile) 2>&5
     
    66016603
    66026604# Provide some information about the compiler.
    6603 echo "$as_me:6603:" \
     6605echo "$as_me:6605:" \
    66046606     "checking for Fortran 77 compiler version" >&5
    66056607ac_compiler=`set X $ac_compile; echo $2`
     
    76687670   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    76697671   -e 's:$: $lt_compiler_flag:'`
    7670    (eval echo "\"\$as_me:7670: $lt_compile\"" >&5)
     7672   (eval echo "\"\$as_me:7672: $lt_compile\"" >&5)
    76717673   (eval "$lt_compile" 2>conftest.err)
    76727674   ac_status=$?
    76737675   cat conftest.err >&5
    7674    echo "$as_me:7674: \$? = $ac_status" >&5
     7676   echo "$as_me:7676: \$? = $ac_status" >&5
    76757677   if (exit $ac_status) && test -s "$ac_outfile"; then
    76767678     # The compiler can only warn and ignore the option if not recognized
     
    79367938   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    79377939   -e 's:$: $lt_compiler_flag:'`
    7938    (eval echo "\"\$as_me:7938: $lt_compile\"" >&5)
     7940   (eval echo "\"\$as_me:7940: $lt_compile\"" >&5)
    79397941   (eval "$lt_compile" 2>conftest.err)
    79407942   ac_status=$?
    79417943   cat conftest.err >&5
    7942    echo "$as_me:7942: \$? = $ac_status" >&5
     7944   echo "$as_me:7944: \$? = $ac_status" >&5
    79437945   if (exit $ac_status) && test -s "$ac_outfile"; then
    79447946     # The compiler can only warn and ignore the option if not recognized
     
    80408042   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80418043   -e 's:$: $lt_compiler_flag:'`
    8042    (eval echo "\"\$as_me:8042: $lt_compile\"" >&5)
     8044   (eval echo "\"\$as_me:8044: $lt_compile\"" >&5)
    80438045   (eval "$lt_compile" 2>out/conftest.err)
    80448046   ac_status=$?
    80458047   cat out/conftest.err >&5
    8046    echo "$as_me:8046: \$? = $ac_status" >&5
     8048   echo "$as_me:8048: \$? = $ac_status" >&5
    80478049   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    80488050   then
     
    1038510387  lt_status=$lt_dlunknown
    1038610388  cat > conftest.$ac_ext <<EOF
    10387 #line 10387 "configure"
     10389#line 10389 "configure"
    1038810390#include "confdefs.h"
    1038910391
     
    1048510487  lt_status=$lt_dlunknown
    1048610488  cat > conftest.$ac_ext <<EOF
    10487 #line 10487 "configure"
     10489#line 10489 "configure"
    1048810490#include "confdefs.h"
    1048910491
     
    1282912831   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1283012832   -e 's:$: $lt_compiler_flag:'`
    12831    (eval echo "\"\$as_me:12831: $lt_compile\"" >&5)
     12833   (eval echo "\"\$as_me:12833: $lt_compile\"" >&5)
    1283212834   (eval "$lt_compile" 2>conftest.err)
    1283312835   ac_status=$?
    1283412836   cat conftest.err >&5
    12835    echo "$as_me:12835: \$? = $ac_status" >&5
     12837   echo "$as_me:12837: \$? = $ac_status" >&5
    1283612838   if (exit $ac_status) && test -s "$ac_outfile"; then
    1283712839     # The compiler can only warn and ignore the option if not recognized
     
    1293312935   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1293412936   -e 's:$: $lt_compiler_flag:'`
    12935    (eval echo "\"\$as_me:12935: $lt_compile\"" >&5)
     12937   (eval echo "\"\$as_me:12937: $lt_compile\"" >&5)
    1293612938   (eval "$lt_compile" 2>out/conftest.err)
    1293712939   ac_status=$?
    1293812940   cat out/conftest.err >&5
    12939    echo "$as_me:12939: \$? = $ac_status" >&5
     12941   echo "$as_me:12941: \$? = $ac_status" >&5
    1294012942   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1294112943   then
     
    1450314505   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1450414506   -e 's:$: $lt_compiler_flag:'`
    14505    (eval echo "\"\$as_me:14505: $lt_compile\"" >&5)
     14507   (eval echo "\"\$as_me:14507: $lt_compile\"" >&5)
    1450614508   (eval "$lt_compile" 2>conftest.err)
    1450714509   ac_status=$?
    1450814510   cat conftest.err >&5
    14509    echo "$as_me:14509: \$? = $ac_status" >&5
     14511   echo "$as_me:14511: \$? = $ac_status" >&5
    1451014512   if (exit $ac_status) && test -s "$ac_outfile"; then
    1451114513     # The compiler can only warn and ignore the option if not recognized
     
    1460714609   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1460814610   -e 's:$: $lt_compiler_flag:'`
    14609    (eval echo "\"\$as_me:14609: $lt_compile\"" >&5)
     14611   (eval echo "\"\$as_me:14611: $lt_compile\"" >&5)
    1461014612   (eval "$lt_compile" 2>out/conftest.err)
    1461114613   ac_status=$?
    1461214614   cat out/conftest.err >&5
    14613    echo "$as_me:14613: \$? = $ac_status" >&5
     14615   echo "$as_me:14615: \$? = $ac_status" >&5
    1461414616   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1461514617   then
     
    1681416816   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1681516817   -e 's:$: $lt_compiler_flag:'`
    16816    (eval echo "\"\$as_me:16816: $lt_compile\"" >&5)
     16818   (eval echo "\"\$as_me:16818: $lt_compile\"" >&5)
    1681716819   (eval "$lt_compile" 2>conftest.err)
    1681816820   ac_status=$?
    1681916821   cat conftest.err >&5
    16820    echo "$as_me:16820: \$? = $ac_status" >&5
     16822   echo "$as_me:16822: \$? = $ac_status" >&5
    1682116823   if (exit $ac_status) && test -s "$ac_outfile"; then
    1682216824     # The compiler can only warn and ignore the option if not recognized
     
    1708217084   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1708317085   -e 's:$: $lt_compiler_flag:'`
    17084    (eval echo "\"\$as_me:17084: $lt_compile\"" >&5)
     17086   (eval echo "\"\$as_me:17086: $lt_compile\"" >&5)
    1708517087   (eval "$lt_compile" 2>conftest.err)
    1708617088   ac_status=$?
    1708717089   cat conftest.err >&5
    17088    echo "$as_me:17088: \$? = $ac_status" >&5
     17090   echo "$as_me:17090: \$? = $ac_status" >&5
    1708917091   if (exit $ac_status) && test -s "$ac_outfile"; then
    1709017092     # The compiler can only warn and ignore the option if not recognized
     
    1718617188   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1718717189   -e 's:$: $lt_compiler_flag:'`
    17188    (eval echo "\"\$as_me:17188: $lt_compile\"" >&5)
     17190   (eval echo "\"\$as_me:17190: $lt_compile\"" >&5)
    1718917191   (eval "$lt_compile" 2>out/conftest.err)
    1719017192   ac_status=$?
    1719117193   cat out/conftest.err >&5
    17192    echo "$as_me:17192: \$? = $ac_status" >&5
     17194   echo "$as_me:17194: \$? = $ac_status" >&5
    1719317195   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1719417196   then
     
    1988519887    # Here we need to check if -m32 is specified.  If so, we need to correct
    1988619888    # sys_lib_search_path_spec
     19889    *-cygwin* | *-mingw*)
     19890       case "$CXX" in
     19891    clang* )
     19892      # we assume that libtool patches for CLANG are the same as for GNU compiler - correct???
     19893      { echo "$as_me:$LINENO: Applying patches to libtool for CLANG compiler" >&5
     19894echo "$as_me: Applying patches to libtool for CLANG compiler" >&6;}
     19895      sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     19896          -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
     19897          -e 's|libext="lib"|libext="a"|' \
     19898      libtool > conftest.bla
     19899      ;;
     19900    cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
     19901      { echo "$as_me:$LINENO: Applying patches to libtool for cl compiler" >&5
     19902echo "$as_me: Applying patches to libtool for cl compiler" >&6;}
     19903      sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     19904          -e 's|fix_srcfile_path=\"\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     19905          -e 's%compile_deplibs=\"\$dir/\$old_library \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$old_library | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
     19906          -e 's%compile_deplibs=\"\$dir/\$linklib \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$linklib | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
     19907          -e 's%lib /OUT:%lib -OUT:%' \
     19908          -e "s%cygpath -w%$CYGPATH_W%" \
     19909          -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\$(lib -nologo -list \\$('"$CYGPATH_W \$1"') '"$mydos2unix"' | xargs echo); echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$('"$CYGPATH_W \$1"'); done%' \
     19910          -e 's%$AR t "$f_ex_an_ar_oldlib"%lib -nologo -list \$('"$CYGPATH_W \$1"') '"$mydos2unix"'%' \
     19911          -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
     19912          -e 's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
     19913          -e 's%old_archive_cmds="lib -OUT:\\$oldlib\\$oldobjs\\$old_deplibs"%old_archive_cmds="if test -r \\$oldlib; then bla=\\"\\$oldlib\\"; else bla=; fi; lib -OUT:\\$oldlib \\\\\\$bla\\$oldobjs\\$old_deplibs"%' \
     19914      libtool > conftest.bla
     19915      ;;
     19916    *)
     19917      { echo "$as_me:$LINENO: Applying patches to libtool for GNU compiler" >&5
     19918echo "$as_me: Applying patches to libtool for GNU compiler" >&6;}
     19919      sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     19920          -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
     19921          -e 's|libext="lib"|libext="a"|' \
     19922      libtool > conftest.bla
     19923      ;;
     19924  esac
     19925  mv conftest.bla libtool
     19926  chmod 755 libtool
     19927
     19928      ;;
    1988719929    *x86_64-*)
    1988819930      if test "$GCC" = yes && (echo $CXXFLAGS $CFLAGS $FFLAGS | $EGREP 'm32' >& /dev/null); then
     
    1992419966      ;;
    1992519967    # Cygwin. Ah, cygwin. Too big and ugly to inline; see the macro.
    19926     *-cygwin* | *-mingw*)
    19927        case "$CXX" in
    19928     clang* )
    19929       # we assume that libtool patches for CLANG are the same as for GNU compiler - correct???
    19930       { echo "$as_me:$LINENO: Applying patches to libtool for CLANG compiler" >&5
    19931 echo "$as_me: Applying patches to libtool for CLANG compiler" >&6;}
    19932       sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    19933           -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
    19934           -e 's|libext="lib"|libext="a"|' \
    19935       libtool > conftest.bla
    19936       ;;
    19937     cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    19938       { echo "$as_me:$LINENO: Applying patches to libtool for cl compiler" >&5
    19939 echo "$as_me: Applying patches to libtool for cl compiler" >&6;}
    19940       sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    19941           -e 's|fix_srcfile_path=\"\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    19942           -e 's%compile_deplibs=\"\$dir/\$old_library \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$old_library | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
    19943           -e 's%compile_deplibs=\"\$dir/\$linklib \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$linklib | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
    19944           -e 's%lib /OUT:%lib -OUT:%' \
    19945           -e "s%cygpath -w%$CYGPATH_W%" \
    19946           -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\$(lib -nologo -list \\$('"$CYGPATH_W \$1"') '"$mydos2unix"' | xargs echo); echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$('"$CYGPATH_W \$1"'); done%' \
    19947           -e 's%$AR t "$f_ex_an_ar_oldlib"%lib -nologo -list \$('"$CYGPATH_W \$1"') '"$mydos2unix"'%' \
    19948           -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
    19949           -e 's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
    19950           -e 's%old_archive_cmds="lib -OUT:\\$oldlib\\$oldobjs\\$old_deplibs"%old_archive_cmds="if test -r \\$oldlib; then bla=\\"\\$oldlib\\"; else bla=; fi; lib -OUT:\\$oldlib \\\\\\$bla\\$oldobjs\\$old_deplibs"%' \
    19951       libtool > conftest.bla
    19952       ;;
    19953     *)
    19954       { echo "$as_me:$LINENO: Applying patches to libtool for GNU compiler" >&5
    19955 echo "$as_me: Applying patches to libtool for GNU compiler" >&6;}
    19956       sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    19957           -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
    19958           -e 's|libext="lib"|libext="a"|' \
    19959       libtool > conftest.bla
    19960       ;;
    19961   esac
    19962   mv conftest.bla libtool
    19963   chmod 755 libtool
    19964 
    19965       ;;
    1996619968    *-darwin*)
    1996719969      { echo "$as_me:$LINENO: Applying patches to libtool for Darwin" >&5
     
    2048320485ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    2048420486ac_compiler_gnu=$ac_cv_c_compiler_gnu
     20487
     20488
     20489
     20490
     20491if test $coin_cc_is_cl != true ; then
     20492
     20493    GLPK_LIBS="-lm $GLPK_LIBS"
     20494    GLPK_PCLIBS="-lm $GLPK_PCLIBS"
     20495    GLPK_LIBS_INSTALLED="-lm $GLPK_LIBS_INSTALLED"
     20496
     20497fi
     20498
    2048520499
    2048620500
  • ThirdParty/Glpk/stable/1.9/configure.ac

    r3034 r3061  
    8282
    8383AC_LANG_POP(C)
     84
     85AC_COIN_CHECK_LIBM(Glpk)
    8486
    8587###########################################################################
  • ThirdParty/Lapack/stable/1.4

  • ThirdParty/Lapack/stable/1.4/configure

    r3028 r3061  
    27832783    fi ;;
    27842784  * )
    2785     CYGPATH_W=echo
     2785    if test x"$CYGPATH_W" = x ; then
     2786      CYGPATH_W=echo
     2787    fi
    27862788    ;;
    27872789esac
     
    34133415
    34143416# Provide some information about the compiler.
    3415 echo "$as_me:3415:" \
     3417echo "$as_me:3417:" \
    34163418     "checking for Fortran 77 compiler version" >&5
    34173419ac_compiler=`set X $ac_compile; echo $2`
     
    39363938ac_save_FFLAGS=$FFLAGS
    39373939FFLAGS="$FFLAGS $ac_verb"
    3938 (eval echo $as_me:3938: \"$ac_link\") >&5
     3940(eval echo $as_me:3940: \"$ac_link\") >&5
    39393941ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    39403942echo "$ac_f77_v_output" >&5
     
    40144016ac_save_FFLAGS=$FFLAGS
    40154017FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4016 (eval echo $as_me:4016: \"$ac_link\") >&5
     4018(eval echo $as_me:4018: \"$ac_link\") >&5
    40174019ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    40184020echo "$ac_f77_v_output" >&5
     
    1002010022*-*-irix6*)
    1002110023  # Find out which ABI we are using.
    10022   echo '#line 10022 "configure"' > conftest.$ac_ext
     10024  echo '#line 10024 "configure"' > conftest.$ac_ext
    1002310025  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    1002410026  (eval $ac_compile) 2>&5
     
    1249712499   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1249812500   -e 's:$: $lt_compiler_flag:'`
    12499    (eval echo "\"\$as_me:12499: $lt_compile\"" >&5)
     12501   (eval echo "\"\$as_me:12501: $lt_compile\"" >&5)
    1250012502   (eval "$lt_compile" 2>conftest.err)
    1250112503   ac_status=$?
    1250212504   cat conftest.err >&5
    12503    echo "$as_me:12503: \$? = $ac_status" >&5
     12505   echo "$as_me:12505: \$? = $ac_status" >&5
    1250412506   if (exit $ac_status) && test -s "$ac_outfile"; then
    1250512507     # The compiler can only warn and ignore the option if not recognized
     
    1276512767   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1276612768   -e 's:$: $lt_compiler_flag:'`
    12767    (eval echo "\"\$as_me:12767: $lt_compile\"" >&5)
     12769   (eval echo "\"\$as_me:12769: $lt_compile\"" >&5)
    1276812770   (eval "$lt_compile" 2>conftest.err)
    1276912771   ac_status=$?
    1277012772   cat conftest.err >&5
    12771    echo "$as_me:12771: \$? = $ac_status" >&5
     12773   echo "$as_me:12773: \$? = $ac_status" >&5
    1277212774   if (exit $ac_status) && test -s "$ac_outfile"; then
    1277312775     # The compiler can only warn and ignore the option if not recognized
     
    1286912871   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1287012872   -e 's:$: $lt_compiler_flag:'`
    12871    (eval echo "\"\$as_me:12871: $lt_compile\"" >&5)
     12873   (eval echo "\"\$as_me:12873: $lt_compile\"" >&5)
    1287212874   (eval "$lt_compile" 2>out/conftest.err)
    1287312875   ac_status=$?
    1287412876   cat out/conftest.err >&5
    12875    echo "$as_me:12875: \$? = $ac_status" >&5
     12877   echo "$as_me:12877: \$? = $ac_status" >&5
    1287612878   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1287712879   then
     
    1528615288  lt_status=$lt_dlunknown
    1528715289  cat > conftest.$ac_ext <<EOF
    15288 #line 15288 "configure"
     15290#line 15290 "configure"
    1528915291#include "confdefs.h"
    1529015292
     
    1538615388  lt_status=$lt_dlunknown
    1538715389  cat > conftest.$ac_ext <<EOF
    15388 #line 15388 "configure"
     15390#line 15390 "configure"
    1538915391#include "confdefs.h"
    1539015392
     
    1774617748   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1774717749   -e 's:$: $lt_compiler_flag:'`
    17748    (eval echo "\"\$as_me:17748: $lt_compile\"" >&5)
     17750   (eval echo "\"\$as_me:17750: $lt_compile\"" >&5)
    1774917751   (eval "$lt_compile" 2>conftest.err)
    1775017752   ac_status=$?
    1775117753   cat conftest.err >&5
    17752    echo "$as_me:17752: \$? = $ac_status" >&5
     17754   echo "$as_me:17754: \$? = $ac_status" >&5
    1775317755   if (exit $ac_status) && test -s "$ac_outfile"; then
    1775417756     # The compiler can only warn and ignore the option if not recognized
     
    1785017852   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1785117853   -e 's:$: $lt_compiler_flag:'`
    17852    (eval echo "\"\$as_me:17852: $lt_compile\"" >&5)
     17854   (eval echo "\"\$as_me:17854: $lt_compile\"" >&5)
    1785317855   (eval "$lt_compile" 2>out/conftest.err)
    1785417856   ac_status=$?
    1785517857   cat out/conftest.err >&5
    17856    echo "$as_me:17856: \$? = $ac_status" >&5
     17858   echo "$as_me:17858: \$? = $ac_status" >&5
    1785717859   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1785817860   then
     
    1942019422   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1942119423   -e 's:$: $lt_compiler_flag:'`
    19422    (eval echo "\"\$as_me:19422: $lt_compile\"" >&5)
     19424   (eval echo "\"\$as_me:19424: $lt_compile\"" >&5)
    1942319425   (eval "$lt_compile" 2>conftest.err)
    1942419426   ac_status=$?
    1942519427   cat conftest.err >&5
    19426    echo "$as_me:19426: \$? = $ac_status" >&5
     19428   echo "$as_me:19428: \$? = $ac_status" >&5
    1942719429   if (exit $ac_status) && test -s "$ac_outfile"; then
    1942819430     # The compiler can only warn and ignore the option if not recognized
     
    1952419526   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1952519527   -e 's:$: $lt_compiler_flag:'`
    19526    (eval echo "\"\$as_me:19526: $lt_compile\"" >&5)
     19528   (eval echo "\"\$as_me:19528: $lt_compile\"" >&5)
    1952719529   (eval "$lt_compile" 2>out/conftest.err)
    1952819530   ac_status=$?
    1952919531   cat out/conftest.err >&5
    19530    echo "$as_me:19530: \$? = $ac_status" >&5
     19532   echo "$as_me:19532: \$? = $ac_status" >&5
    1953119533   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1953219534   then
     
    2173121733   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2173221734   -e 's:$: $lt_compiler_flag:'`
    21733    (eval echo "\"\$as_me:21733: $lt_compile\"" >&5)
     21735   (eval echo "\"\$as_me:21735: $lt_compile\"" >&5)
    2173421736   (eval "$lt_compile" 2>conftest.err)
    2173521737   ac_status=$?
    2173621738   cat conftest.err >&5
    21737    echo "$as_me:21737: \$? = $ac_status" >&5
     21739   echo "$as_me:21739: \$? = $ac_status" >&5
    2173821740   if (exit $ac_status) && test -s "$ac_outfile"; then
    2173921741     # The compiler can only warn and ignore the option if not recognized
     
    2199922001   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2200022002   -e 's:$: $lt_compiler_flag:'`
    22001    (eval echo "\"\$as_me:22001: $lt_compile\"" >&5)
     22003   (eval echo "\"\$as_me:22003: $lt_compile\"" >&5)
    2200222004   (eval "$lt_compile" 2>conftest.err)
    2200322005   ac_status=$?
    2200422006   cat conftest.err >&5
    22005    echo "$as_me:22005: \$? = $ac_status" >&5
     22007   echo "$as_me:22007: \$? = $ac_status" >&5
    2200622008   if (exit $ac_status) && test -s "$ac_outfile"; then
    2200722009     # The compiler can only warn and ignore the option if not recognized
     
    2210322105   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2210422106   -e 's:$: $lt_compiler_flag:'`
    22105    (eval echo "\"\$as_me:22105: $lt_compile\"" >&5)
     22107   (eval echo "\"\$as_me:22107: $lt_compile\"" >&5)
    2210622108   (eval "$lt_compile" 2>out/conftest.err)
    2210722109   ac_status=$?
    2210822110   cat out/conftest.err >&5
    22109    echo "$as_me:22109: \$? = $ac_status" >&5
     22111   echo "$as_me:22111: \$? = $ac_status" >&5
    2211022112   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    2211122113   then
     
    2481824820    # Here we need to check if -m32 is specified.  If so, we need to correct
    2481924821    # sys_lib_search_path_spec
     24822    *-cygwin* | *-mingw*)
     24823       case "$CXX" in
     24824    clang* )
     24825      # we assume that libtool patches for CLANG are the same as for GNU compiler - correct???
     24826      { echo "$as_me:$LINENO: Applying patches to libtool for CLANG compiler" >&5
     24827echo "$as_me: Applying patches to libtool for CLANG compiler" >&6;}
     24828      sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     24829          -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
     24830          -e 's|libext="lib"|libext="a"|' \
     24831      libtool > conftest.bla
     24832      ;;
     24833    cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
     24834      { echo "$as_me:$LINENO: Applying patches to libtool for cl compiler" >&5
     24835echo "$as_me: Applying patches to libtool for cl compiler" >&6;}
     24836      sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     24837          -e 's|fix_srcfile_path=\"\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     24838          -e 's%compile_deplibs=\"\$dir/\$old_library \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$old_library | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
     24839          -e 's%compile_deplibs=\"\$dir/\$linklib \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$linklib | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
     24840          -e 's%lib /OUT:%lib -OUT:%' \
     24841          -e "s%cygpath -w%$CYGPATH_W%" \
     24842          -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\$(lib -nologo -list \\$('"$CYGPATH_W \$1"') '"$mydos2unix"' | xargs echo); echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$('"$CYGPATH_W \$1"'); done%' \
     24843          -e 's%$AR t "$f_ex_an_ar_oldlib"%lib -nologo -list \$('"$CYGPATH_W \$1"') '"$mydos2unix"'%' \
     24844          -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
     24845          -e 's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
     24846          -e 's%old_archive_cmds="lib -OUT:\\$oldlib\\$oldobjs\\$old_deplibs"%old_archive_cmds="if test -r \\$oldlib; then bla=\\"\\$oldlib\\"; else bla=; fi; lib -OUT:\\$oldlib \\\\\\$bla\\$oldobjs\\$old_deplibs"%' \
     24847      libtool > conftest.bla
     24848      ;;
     24849    *)
     24850      { echo "$as_me:$LINENO: Applying patches to libtool for GNU compiler" >&5
     24851echo "$as_me: Applying patches to libtool for GNU compiler" >&6;}
     24852      sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     24853          -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
     24854          -e 's|libext="lib"|libext="a"|' \
     24855      libtool > conftest.bla
     24856      ;;
     24857  esac
     24858  mv conftest.bla libtool
     24859  chmod 755 libtool
     24860
     24861      ;;
    2482024862    *x86_64-*)
    2482124863      if test "$GCC" = yes && (echo $CXXFLAGS $CFLAGS $FFLAGS | $EGREP 'm32' >& /dev/null); then
     
    2485724899      ;;
    2485824900    # Cygwin. Ah, cygwin. Too big and ugly to inline; see the macro.
    24859     *-cygwin* | *-mingw*)
    24860        case "$CXX" in
    24861     clang* )
    24862       # we assume that libtool patches for CLANG are the same as for GNU compiler - correct???
    24863       { echo "$as_me:$LINENO: Applying patches to libtool for CLANG compiler" >&5
    24864 echo "$as_me: Applying patches to libtool for CLANG compiler" >&6;}
    24865       sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    24866           -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
    24867           -e 's|libext="lib"|libext="a"|' \
    24868       libtool > conftest.bla
    24869       ;;
    24870     cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    24871       { echo "$as_me:$LINENO: Applying patches to libtool for cl compiler" >&5
    24872 echo "$as_me: Applying patches to libtool for cl compiler" >&6;}
    24873       sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    24874           -e 's|fix_srcfile_path=\"\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    24875           -e 's%compile_deplibs=\"\$dir/\$old_library \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$old_library | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
    24876           -e 's%compile_deplibs=\"\$dir/\$linklib \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$linklib | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
    24877           -e 's%lib /OUT:%lib -OUT:%' \
    24878           -e "s%cygpath -w%$CYGPATH_W%" \
    24879           -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\$(lib -nologo -list \\$('"$CYGPATH_W \$1"') '"$mydos2unix"' | xargs echo); echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$('"$CYGPATH_W \$1"'); done%' \
    24880           -e 's%$AR t "$f_ex_an_ar_oldlib"%lib -nologo -list \$('"$CYGPATH_W \$1"') '"$mydos2unix"'%' \
    24881           -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
    24882           -e 's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
    24883           -e 's%old_archive_cmds="lib -OUT:\\$oldlib\\$oldobjs\\$old_deplibs"%old_archive_cmds="if test -r \\$oldlib; then bla=\\"\\$oldlib\\"; else bla=; fi; lib -OUT:\\$oldlib \\\\\\$bla\\$oldobjs\\$old_deplibs"%' \
    24884       libtool > conftest.bla
    24885       ;;
    24886     *)
    24887       { echo "$as_me:$LINENO: Applying patches to libtool for GNU compiler" >&5
    24888 echo "$as_me: Applying patches to libtool for GNU compiler" >&6;}
    24889       sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    24890           -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
    24891           -e 's|libext="lib"|libext="a"|' \
    24892       libtool > conftest.bla
    24893       ;;
    24894   esac
    24895   mv conftest.bla libtool
    24896   chmod 755 libtool
    24897 
    24898       ;;
    2489924901    *-darwin*)
    2490024902      { echo "$as_me:$LINENO: Applying patches to libtool for Darwin" >&5
  • ThirdParty/Lapack/stable/1.4/get.Lapack

    r2948 r3061  
    2727
    2828echo "Downloading the source code from projects.coin-or.org..."
    29 if ! $wgetcmd https://projects.coin-or.org/svn/BuildTools/ThirdParty/Lapack/src/lapack-${lapack_ver}.tgz ;
     29if ! $wgetcmd http://www.coin-or.org/BuildTools/Lapack/lapack-${lapack_ver}.tgz ;
    3030then
    3131  echo
     
    3737    if ! $wgetcmd http://netlib.sandia.gov/lapack/lapack-${lapack_ver}.tgz
    3838    then
    39       if test "$wgetcmd" = wget ;
    40       then
    41         echo -n "Failed, try downloading from https://projects.coin-or.org without certificate check? (y/n) "
    42         if test "$1" = "-y" ;
    43         then
    44           doit=y
    45           echo y
    46         else
    47           read doit
    48           echo
    49         fi
    50         if test "$doit" = y ;
    51         then
    52           $wgetcmd --no-check-certificate https://projects.coin-or.org/svn/BuildTools/ThirdParty/Lapack/src/lapack-${lapack_ver}.tgz
    53         else
    54           exit 1;
    55         fi
    56       else
    57         exit 1;
    58       fi
     39      exit 1;
    5940    fi
    6041  fi
  • ThirdParty/Metis/stable/1.2

  • ThirdParty/Metis/stable/1.2/Makefile.in

    r2788 r3061  
    188188MAKEINFO = @MAKEINFO@
    189189METISDIR = @METISDIR@
     190METIS_PCLIBS = @METIS_PCLIBS@
    190191METIS_SVN_REV = @METIS_SVN_REV@
    191192MPICC = @MPICC@
  • ThirdParty/Metis/stable/1.2/configure

    r3025 r3061  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion METIS_SVN_REV build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC PKG_CONFIG ac_ct_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS METISDIR LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion METIS_SVN_REV build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC PKG_CONFIG ac_ct_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS METISDIR METIS_PCLIBS LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    27482748    fi ;;
    27492749  * )
    2750     CYGPATH_W=echo
     2750    if test x"$CYGPATH_W" = x ; then
     2751      CYGPATH_W=echo
     2752    fi
    27512753    ;;
    27522754esac
     
    50005002*-*-irix6*)
    50015003  # Find out which ABI we are using.
    5002   echo '#line 5002 "configure"' > conftest.$ac_ext
     5004  echo '#line 5004 "configure"' > conftest.$ac_ext
    50035005  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    50045006  (eval $ac_compile) 2>&5
     
    65996601
    66006602# Provide some information about the compiler.
    6601 echo "$as_me:6601:" \
     6603echo "$as_me:6603:" \
    66026604     "checking for Fortran 77 compiler version" >&5
    66036605ac_compiler=`set X $ac_compile; echo $2`
     
    76667668   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    76677669   -e 's:$: $lt_compiler_flag:'`
    7668    (eval echo "\"\$as_me:7668: $lt_compile\"" >&5)
     7670   (eval echo "\"\$as_me:7670: $lt_compile\"" >&5)
    76697671   (eval "$lt_compile" 2>conftest.err)
    76707672   ac_status=$?
    76717673   cat conftest.err >&5
    7672    echo "$as_me:7672: \$? = $ac_status" >&5
     7674   echo "$as_me:7674: \$? = $ac_status" >&5
    76737675   if (exit $ac_status) && test -s "$ac_outfile"; then
    76747676     # The compiler can only warn and ignore the option if not recognized
     
    79347936   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    79357937   -e 's:$: $lt_compiler_flag:'`
    7936    (eval echo "\"\$as_me:7936: $lt_compile\"" >&5)
     7938   (eval echo "\"\$as_me:7938: $lt_compile\"" >&5)
    79377939   (eval "$lt_compile" 2>conftest.err)
    79387940   ac_status=$?
    79397941   cat conftest.err >&5
    7940    echo "$as_me:7940: \$? = $ac_status" >&5
     7942   echo "$as_me:7942: \$? = $ac_status" >&5
    79417943   if (exit $ac_status) && test -s "$ac_outfile"; then
    79427944     # The compiler can only warn and ignore the option if not recognized
     
    80388040   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80398041   -e 's:$: $lt_compiler_flag:'`
    8040    (eval echo "\"\$as_me:8040: $lt_compile\"" >&5)
     8042   (eval echo "\"\$as_me:8042: $lt_compile\"" >&5)
    80418043   (eval "$lt_compile" 2>out/conftest.err)
    80428044   ac_status=$?
    80438045   cat out/conftest.err >&5
    8044    echo "$as_me:8044: \$? = $ac_status" >&5
     8046   echo "$as_me:8046: \$? = $ac_status" >&5
    80458047   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    80468048   then
     
    1038310385  lt_status=$lt_dlunknown
    1038410386  cat > conftest.$ac_ext <<EOF
    10385 #line 10385 "configure"
     10387#line 10387 "configure"
    1038610388#include "confdefs.h"
    1038710389
     
    1048310485  lt_status=$lt_dlunknown
    1048410486  cat > conftest.$ac_ext <<EOF
    10485 #line 10485 "configure"
     10487#line 10487 "configure"
    1048610488#include "confdefs.h"
    1048710489
     
    1282712829   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1282812830   -e 's:$: $lt_compiler_flag:'`
    12829    (eval echo "\"\$as_me:12829: $lt_compile\"" >&5)
     12831   (eval echo "\"\$as_me:12831: $lt_compile\"" >&5)
    1283012832   (eval "$lt_compile" 2>conftest.err)
    1283112833   ac_status=$?
    1283212834   cat conftest.err >&5
    12833    echo "$as_me:12833: \$? = $ac_status" >&5
     12835   echo "$as_me:12835: \$? = $ac_status" >&5
    1283412836   if (exit $ac_status) && test -s "$ac_outfile"; then
    1283512837     # The compiler can only warn and ignore the option if not recognized
     
    1293112933   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1293212934   -e 's:$: $lt_compiler_flag:'`
    12933    (eval echo "\"\$as_me:12933: $lt_compile\"" >&5)
     12935   (eval echo "\"\$as_me:12935: $lt_compile\"" >&5)
    1293412936   (eval "$lt_compile" 2>out/conftest.err)
    1293512937   ac_status=$?
    1293612938   cat out/conftest.err >&5
    12937    echo "$as_me:12937: \$? = $ac_status" >&5
     12939   echo "$as_me:12939: \$? = $ac_status" >&5
    1293812940   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1293912941   then
     
    1450114503   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1450214504   -e 's:$: $lt_compiler_flag:'`
    14503    (eval echo "\"\$as_me:14503: $lt_compile\"" >&5)
     14505   (eval echo "\"\$as_me:14505: $lt_compile\"" >&5)
    1450414506   (eval "$lt_compile" 2>conftest.err)
    1450514507   ac_status=$?
    1450614508   cat conftest.err >&5
    14507    echo "$as_me:14507: \$? = $ac_status" >&5
     14509   echo "$as_me:14509: \$? = $ac_status" >&5
    1450814510   if (exit $ac_status) && test -s "$ac_outfile"; then
    1450914511     # The compiler can only warn and ignore the option if not recognized
     
    1460514607   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1460614608   -e 's:$: $lt_compiler_flag:'`
    14607    (eval echo "\"\$as_me:14607: $lt_compile\"" >&5)
     14609   (eval echo "\"\$as_me:14609: $lt_compile\"" >&5)
    1460814610   (eval "$lt_compile" 2>out/conftest.err)
    1460914611   ac_status=$?
    1461014612   cat out/conftest.err >&5
    14611    echo "$as_me:14611: \$? = $ac_status" >&5
     14613   echo "$as_me:14613: \$? = $ac_status" >&5
    1461214614   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1461314615   then
     
    1681216814   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1681316815   -e 's:$: $lt_compiler_flag:'`
    16814    (eval echo "\"\$as_me:16814: $lt_compile\"" >&5)
     16816   (eval echo "\"\$as_me:16816: $lt_compile\"" >&5)
    1681516817   (eval "$lt_compile" 2>conftest.err)
    1681616818   ac_status=$?
    1681716819   cat conftest.err >&5
    16818    echo "$as_me:16818: \$? = $ac_status" >&5
     16820   echo "$as_me:16820: \$? = $ac_status" >&5
    1681916821   if (exit $ac_status) && test -s "$ac_outfile"; then
    1682016822     # The compiler can only warn and ignore the option if not recognized
     
    1708017082   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1708117083   -e 's:$: $lt_compiler_flag:'`
    17082    (eval echo "\"\$as_me:17082: $lt_compile\"" >&5)
     17084   (eval echo "\"\$as_me:17084: $lt_compile\"" >&5)
    1708317085   (eval "$lt_compile" 2>conftest.err)
    1708417086   ac_status=$?
    1708517087   cat conftest.err >&5
    17086    echo "$as_me:17086: \$? = $ac_status" >&5
     17088   echo "$as_me:17088: \$? = $ac_status" >&5
    1708717089   if (exit $ac_status) && test -s "$ac_outfile"; then
    1708817090     # The compiler can only warn and ignore the option if not recognized
     
    1718417186   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1718517187   -e 's:$: $lt_compiler_flag:'`
    17186    (eval echo "\"\$as_me:17186: $lt_compile\"" >&5)
     17188   (eval echo "\"\$as_me:17188: $lt_compile\"" >&5)
    1718717189   (eval "$lt_compile" 2>out/conftest.err)
    1718817190   ac_status=$?
    1718917191   cat out/conftest.err >&5
    17190    echo "$as_me:17190: \$? = $ac_status" >&5
     17192   echo "$as_me:17192: \$? = $ac_status" >&5
    1719117193   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1719217194   then
     
    1988319885    # Here we need to check if -m32 is specified.  If so, we need to correct
    1988419886    # sys_lib_search_path_spec
     19887    *-cygwin* | *-mingw*)
     19888       case "$CXX" in
     19889    clang* )
     19890      # we assume that libtool patches for CLANG are the same as for GNU compiler - correct???
     19891      { echo "$as_me:$LINENO: Applying patches to libtool for CLANG compiler" >&5
     19892echo "$as_me: Applying patches to libtool for CLANG compiler" >&6;}
     19893      sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     19894          -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
     19895          -e 's|libext="lib"|libext="a"|' \
     19896      libtool > conftest.bla
     19897      ;;
     19898    cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
     19899      { echo "$as_me:$LINENO: Applying patches to libtool for cl compiler" >&5
     19900echo "$as_me: Applying patches to libtool for cl compiler" >&6;}
     19901      sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     19902          -e 's|fix_srcfile_path=\"\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     19903          -e 's%compile_deplibs=\"\$dir/\$old_library \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$old_library | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
     19904          -e 's%compile_deplibs=\"\$dir/\$linklib \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$linklib | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
     19905          -e 's%lib /OUT:%lib -OUT:%' \
     19906          -e "s%cygpath -w%$CYGPATH_W%" \
     19907          -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\$(lib -nologo -list \\$('"$CYGPATH_W \$1"') '"$mydos2unix"' | xargs echo); echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$('"$CYGPATH_W \$1"'); done%' \
     19908          -e 's%$AR t "$f_ex_an_ar_oldlib"%lib -nologo -list \$('"$CYGPATH_W \$1"') '"$mydos2unix"'%' \
     19909          -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
     19910          -e 's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
     19911          -e 's%old_archive_cmds="lib -OUT:\\$oldlib\\$oldobjs\\$old_deplibs"%old_archive_cmds="if test -r \\$oldlib; then bla=\\"\\$oldlib\\"; else bla=; fi; lib -OUT:\\$oldlib \\\\\\$bla\\$oldobjs\\$old_deplibs"%' \
     19912      libtool > conftest.bla
     19913      ;;
     19914    *)
     19915      { echo "$as_me:$LINENO: Applying patches to libtool for GNU compiler" >&5
     19916echo "$as_me: Applying patches to libtool for GNU compiler" >&6;}
     19917      sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     19918          -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
     19919          -e 's|libext="lib"|libext="a"|' \
     19920      libtool > conftest.bla
     19921      ;;
     19922  esac
     19923  mv conftest.bla libtool
     19924  chmod 755 libtool
     19925
     19926      ;;
    1988519927    *x86_64-*)
    1988619928      if test "$GCC" = yes && (echo $CXXFLAGS $CFLAGS $FFLAGS | $EGREP 'm32' >& /dev/null); then
     
    1992219964      ;;
    1992319965    # Cygwin. Ah, cygwin. Too big and ugly to inline; see the macro.
    19924     *-cygwin* | *-mingw*)
    19925        case "$CXX" in
    19926     clang* )
    19927       # we assume that libtool patches for CLANG are the same as for GNU compiler - correct???
    19928       { echo "$as_me:$LINENO: Applying patches to libtool for CLANG compiler" >&5
    19929 echo "$as_me: Applying patches to libtool for CLANG compiler" >&6;}
    19930       sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    19931           -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
    19932           -e 's|libext="lib"|libext="a"|' \
    19933       libtool > conftest.bla
    19934       ;;
    19935     cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    19936       { echo "$as_me:$LINENO: Applying patches to libtool for cl compiler" >&5
    19937 echo "$as_me: Applying patches to libtool for cl compiler" >&6;}
    19938       sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    19939           -e 's|fix_srcfile_path=\"\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    19940           -e 's%compile_deplibs=\"\$dir/\$old_library \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$old_library | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
    19941           -e 's%compile_deplibs=\"\$dir/\$linklib \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$linklib | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
    19942           -e 's%lib /OUT:%lib -OUT:%' \
    19943           -e "s%cygpath -w%$CYGPATH_W%" \
    19944           -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\$(lib -nologo -list \\$('"$CYGPATH_W \$1"') '"$mydos2unix"' | xargs echo); echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$('"$CYGPATH_W \$1"'); done%' \
    19945           -e 's%$AR t "$f_ex_an_ar_oldlib"%lib -nologo -list \$('"$CYGPATH_W \$1"') '"$mydos2unix"'%' \
    19946           -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
    19947           -e 's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
    19948           -e 's%old_archive_cmds="lib -OUT:\\$oldlib\\$oldobjs\\$old_deplibs"%old_archive_cmds="if test -r \\$oldlib; then bla=\\"\\$oldlib\\"; else bla=; fi; lib -OUT:\\$oldlib \\\\\\$bla\\$oldobjs\\$old_deplibs"%' \
    19949       libtool > conftest.bla
    19950       ;;
    19951     *)
    19952       { echo "$as_me:$LINENO: Applying patches to libtool for GNU compiler" >&5
    19953 echo "$as_me: Applying patches to libtool for GNU compiler" >&6;}
    19954       sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    19955           -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
    19956           -e 's|libext="lib"|libext="a"|' \
    19957       libtool > conftest.bla
    19958       ;;
    19959   esac
    19960   mv conftest.bla libtool
    19961   chmod 755 libtool
    19962 
    19963       ;;
    1996419966    *-darwin*)
    1996519967      { echo "$as_me:$LINENO: Applying patches to libtool for Darwin" >&5
     
    2009120093#END
    2009220094}
     20095
     20096# Metis depends on libm
     20097
     20098
     20099if test $coin_cc_is_cl != true ; then
     20100
     20101    METIS_LIBS="-lm $METIS_LIBS"
     20102    METIS_PCLIBS="-lm $METIS_PCLIBS"
     20103    METIS_LIBS_INSTALLED="-lm $METIS_LIBS_INSTALLED"
     20104
     20105fi
     20106
     20107
    2009320108
    2009420109# We may need to create a dummy header file for Windows
     
    2034120356
    2034220357                              ac_config_files="$ac_config_files Makefile coinmetis.pc coinmetis-uninstalled.pc"
     20358
     20359
    2034320360
    2034420361
     
    2121321230s,@LT_LDFLAGS@,$LT_LDFLAGS,;t t
    2121421231s,@METISDIR@,$METISDIR,;t t
     21232s,@METIS_PCLIBS@,$METIS_PCLIBS,;t t
    2121521233s,@LIBEXT@,$LIBEXT,;t t
    2121621234s,@VPATH_DISTCLEANFILES@,$VPATH_DISTCLEANFILES,;t t
  • ThirdParty/Metis/stable/1.2/configure.ac

    r3025 r3061  
    5757AC_COIN_INIT_AUTO_TOOLS
    5858
     59# Metis depends on libm
     60AC_COIN_CHECK_LIBM(Metis)
     61
    5962# We may need to create a dummy header file for Windows
    6063AC_CHECK_HEADER([strings.h], [], [touch strings.h])
     
    6972AC_CONFIG_FILES([Makefile coinmetis.pc coinmetis-uninstalled.pc])
    7073
     74AC_SUBST(METIS_PCLIBS)
     75
    7176AC_COIN_FINALIZE
Note: See TracChangeset for help on using the changeset viewer.